Update brand AI specifications
curl --request PATCH \
--url https://app.alana.shopping/api/workspace/{workspaceId}/brands/{brandId}/ai-specs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tone_of_voice": "<string>",
"brand_objective": "<string>",
"target_audience": "<string>",
"content_policies": "<string>",
"language_preferences": "<string>",
"keywords_always": [
"<string>"
],
"keywords_never": [
"<string>"
],
"custom_instructions": "<string>",
"visual_style": "<string>",
"color_palette": [
"<string>"
]
}
'import requests
url = "https://app.alana.shopping/api/workspace/{workspaceId}/brands/{brandId}/ai-specs"
payload = {
"tone_of_voice": "<string>",
"brand_objective": "<string>",
"target_audience": "<string>",
"content_policies": "<string>",
"language_preferences": "<string>",
"keywords_always": ["<string>"],
"keywords_never": ["<string>"],
"custom_instructions": "<string>",
"visual_style": "<string>",
"color_palette": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tone_of_voice: '<string>',
brand_objective: '<string>',
target_audience: '<string>',
content_policies: '<string>',
language_preferences: '<string>',
keywords_always: ['<string>'],
keywords_never: ['<string>'],
custom_instructions: '<string>',
visual_style: '<string>',
color_palette: ['<string>']
})
};
fetch('https://app.alana.shopping/api/workspace/{workspaceId}/brands/{brandId}/ai-specs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"brand_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tone_of_voice": "<string>",
"brand_objective": "<string>",
"target_audience": "<string>",
"content_policies": "<string>",
"language_preferences": "<string>",
"keywords_always": [
"<string>"
],
"keywords_never": [
"<string>"
],
"custom_instructions": "<string>",
"visual_style": "<string>",
"color_palette": [
"<string>"
],
"default_ai_tier": "economic"
}{
"error": "INVALID_REQUEST",
"details": {
"field": "email",
"message": "Invalid email format"
}
}{
"error": "UNAUTHORIZED",
"details": {
"message": "Missing or invalid authentication token"
}
}{
"error": "FORBIDDEN",
"details": {
"message": "User does not have permission to access this resource"
}
}{
"error": "NOT_FOUND",
"details": {
"message": "Resource not found"
}
}{
"error": "INTERNAL_SERVER_ERROR",
"details": {
"message": "An unexpected error occurred"
}
}Update AI Specifications
PATCH
/
api
/
workspace
/
{workspaceId}
/
brands
/
{brandId}
/
ai-specs
Update brand AI specifications
Authorizations
Bearer token authentication via Auth0. Users authenticate through Auth0 Universal Login. Include the access token in the Authorization header: Authorization: Bearer <token>
Path Parameters
The workspace ID
Pattern:
^ws_[a-z0-9]+$Body
application/json
Visual aesthetic style (e.g. minimalist, lifestyle, editorial, studio).
Maximum string length:
50Brand hex color codes. Max 10 items.
Maximum array length:
10Pattern:
^#([0-9a-fA-F]{3}|[0-9a-fA-F]{6})$Default AI generation quality tier.
Available options:
economic, balanced, high, null Response
Brand AI specifications updated successfully
Visual aesthetic style (e.g. minimalist, lifestyle, editorial, studio). Migrated from workspaces.brand_style_profile.
Maximum string length:
50Brand hex color codes. Max 10 items.
Maximum array length:
10Pattern:
^#([0-9a-fA-F]{3}|[0-9a-fA-F]{6})$Default AI generation quality tier.
Available options:
economic, balanced, high, null Last modified on February 16, 2026
⌘I